<?xml version="1.0" encoding="utf-8"?>
<resources>

    <!-- Application theme. -->
    <style name="AppTheme" parent="android:Theme.Black.NoTitleBar"></style>

    <style name="PlayerTheme" parent="Theme.AppCompat.DayNight.NoActionBar">
        <item name="android:windowFullscreen">true</item>
        <item name="android:windowIsTranslucent">true</item>
        <item name="android:windowTranslucentNavigation">true</item>
        <item name="android:windowTranslucentStatus">true</item>
    </style>

    <style name="horizontal_animation">
        <item name="android:activityOpenEnterAnimation">@anim/activity_slide_right_to_left</item>
        <item name="android:activityOpenExitAnimation">@null</item>
        <item name="android:activityCloseEnterAnimation">@null</item>
        <item name="android:activityCloseExitAnimation">@null</item>
    </style>

    <style name="vertical_animation">
        <item name="android:activityOpenEnterAnimation">@anim/activity_slide_bottom_to_top</item>
        <item name="android:activityOpenExitAnimation">@null</item>
        <item name="android:activityCloseEnterAnimation">@null</item>
        <item name="android:activityCloseExitAnimation">@null</item>
    </style>

    <style name="AppTheme.Dialog.Horizontal" parent="PlayerTheme">
        <item name="android:windowFrame">@null</item>

        <item name="android:windowEnterAnimation">@null</item>
        <item name="android:windowExitAnimation">@null</item>


        <!--是否悬浮在activity上-->
        <item name="android:windowIsFloating">true</item>
        <!--透明是否-->
        <item name="android:backgroundDimAmount">0.46</item>
        <item name="android:windowIsTranslucent">true</item>
        <item name="android:background">@android:color/transparent</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <!--设置没有窗口标题、dialog标题等各种标题-->
        <item name="android:windowNoTitle">true</item>
        <item name="android:title">@null</item>
        <item name="windowNoTitle">true</item>
        <item name="android:dialogTitle">@null</item>
        <!--点击 dialog Activity 周围是否关闭弹窗 true 关闭（默认为true） false 为不关闭-->
        <item name="android:windowCloseOnTouchOutside">false</item>

        <item name="android:windowAnimationStyle">@style/horizontal_animation</item>
    </style>

    <style name="AppTheme.Dialog.Vertical" parent="PlayerTheme">
        <item name="android:windowFrame">@null</item>
        <item name="android:windowIsFloating">true</item>
        
        <item name="android:windowIsTranslucent">true</item>
        <item name="android:backgroundDimAmount">0.46</item>
        <item name="android:background">@android:color/transparent</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <!--设置没有窗口标题、dialog标题等各种标题-->
        <item name="android:windowNoTitle">true</item>
        <item name="android:title">@null</item>
        <item name="windowNoTitle">true</item>
        <item name="android:dialogTitle">@null</item>
        <!--点击 dialog Activity 周围是否关闭弹窗 true 关闭（默认为true） false 为不关闭-->
        <item name="android:windowCloseOnTouchOutside">false</item>
        <item name="android:windowAnimationStyle">@style/vertical_animation</item>
    </style>

</resources>